Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BabelServiceFactory Class Reference

List of all members.

## Public Member Functions
| BabelServiceFactory ()
| ~BabelServiceFactory ()
STDMETHODIMP | QueryInterface (REFIID iid, LPVOID *obj)
| STDMETHODIMP_ (ULONG) AddRef()
| STDMETHODIMP_ (ULONG) Release()
STDMETHODIMP | CreateInstance (IUnknown *outer, REFIID iid, LPVOID *obj)
STDMETHODIMP | LockServer (BOOL lockIt)
## Private Attributes
ULONG | m_refCount

## Constructor & Destructor Documentation

BabelServiceFactory::BabelServiceFactory | ( |  | ) |

| Definition at line 140 of file dllmain.cpp. References m_refCount, and TRACE_CREATE.

BabelServiceFactory::~BabelServiceFactory | ( |  | ) |

| Definition at line 146 of file dllmain.cpp. References TRACE_DESTROY.

## Member Function Documentation

STDMETHODIMP BabelServiceFactory::QueryInterface | ( | REFIID | iid,
|  | LPVOID * | obj
| ) |

| Definition at line 152 of file dllmain.cpp. References OUTARG. Referenced by DllGetClassObject().

BabelServiceFactory::STDMETHODIMP_ | ( | ULONG |  | ) |

BabelServiceFactory::STDMETHODIMP_ | ( | ULONG |  | ) |

STDMETHODIMP BabelServiceFactory::CreateInstance | ( | IUnknown * | outer,
|  | REFIID | iid,
|  | LPVOID * | obj
| ) |

| Definition at line 184 of file dllmain.cpp. References CreateBabelService(), OUTARG, RELEASE, and TRACE.

Here is the call graph for this function:

STDMETHODIMP BabelServiceFactory::LockServer | ( | BOOL | lockIt | ) |

| Definition at line 202 of file dllmain.cpp. References DecRefCount(), g_dllRefCount, and IncRefCount().

Here is the call graph for this function:

## Member Data Documentation

ULONG BabelServiceFactory::m_refCount`[private]`

| Definition at line 53 of file dllmain.cpp. Referenced by BabelServiceFactory().

The documentation for this class was generated from the following file:

- Tools/Xabsl2/yabsl/vsyabsl/dllmain.cpp